/v1/devices/{deviceId}/dhcp-server/leases

Prev Next
Get
/v1/devices/{deviceId}/dhcp-server/leases

Get current DHCP leases for a device

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Path parameters
deviceId
integer (int64) Required
Example1234567891011
Responses
200

OK

Expand All
object
pools
Array of object (manaV2DhcpServerPool)
object
defaultLeaseTimeSecs
integer (int32)
Minimum0
Example123
description
string
Exampleexample string
domainName
string
Exampleexample string
gateway
string
Exampleexample string
id
integer (int64)
Example1234567891011
interface
string
Exampleexample string
ipPrefix
string
Exampleexample string
ipVersion
integer (int32)
Minimum0
Example123
leases
Array of object (manaV2DhcpLease)
object
endsAt
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
id
integer (int64)
Example1234567891011
ipAddress
string
Exampleexample string
macAddress
string
Exampleexample string
vrf
string
Exampleexample string
maxLeaseTimeSecs
integer (int32)
Minimum0
Example123
minLeaseTimeSecs
integer (int32)
Minimum0
Example123
name
string
Exampleexample string
nameservers
object (manaV2DnsServers)
primary
string
Exampleexample string
secondary
string
Exampleexample string
ranges
Array of object (manaV2DhcpServerIpRange)
object
end
string
Exampleexample string
start
string
Exampleexample string
staticLeases
Array of object (manaV2DhcpStaticLease)
object
hostname
string
Exampleexample string
id
integer (int64)
Example1234567891011
ipAddress
string
Exampleexample string
macAddress
string
Exampleexample string
vrf
string
Exampleexample string
totalAddresses
integer (int64)
Minimum0
Example12345678910
utilization
integer (int32)
Minimum0
Example123